package com.emato.cus.supervise.service.cus;

import com.emato.cus.supervise.domainCus.CusAcqGoodsSeat06;

import java.util.List;

/**
 * 库位货物数据 CUS
 * @author Scott Chen
 * @version 1.0
 * 2017-10-28 17:14
 */
public interface CusAcqGoodsSeatService06 {
    /**
     * 库位货物数据
     * @param list
     * @return
     */
    int addCusAcqGoodsSeat06(List<CusAcqGoodsSeat06> list);

    /**
     * 查询现有库位货物信息
     * @param list
     * @return
     */
    List<CusAcqGoodsSeat06> listCusAcqGoodsSeat(List<CusAcqGoodsSeat06> list);

    /**
     * 查询现有库位货物信息
     * sku, seatNo, gQty, 账册localEmsNo
     * @param list
     * @return
     */
    List<CusAcqGoodsSeat06> listGoodsSeat(List<CusAcqGoodsSeat06> list);


    /**
     * 更新库位货物信息
     * @param list
     * @return
     */
    int updateCusAcqGoodsSeat06(List<CusAcqGoodsSeat06> list);

    /**
     * 删除库位货物信息
     * @param list
     * @return
     */
    int deleteCusAcqGoodsSeat06(List<CusAcqGoodsSeat06> list);
}
